Subject: Re: [PATCH v3 0/3] automatically skip away from broken commits

From: "H. Peter Anvin" <[email-masked]>
Date: Wed, 10 Jun 2009 21:43:09 -0700

Christian Couder wrote:
> 
> I think my algorithm is better enough than a random one to be worth using by 
> default. Like HPA says it's in practice like a random one with a bias.
> 

But it's a really poor such.  Using an actual biased PRNG will give the
best of both variants (a bias to prefer better commits, and still all
commits reachable.)

After playing around with Wolfram Alpha for way too long, it seems that
a suitable bias function would be to take the fourth root of the PRNG
value, i.e. raise it to the power 0.25.

	-hpa

-- 
H. Peter Anvin, Intel Open Source Technology Center
I work for Intel.  I don't speak on their behalf.